Bug 245815 - net/phpldapadmin: Update to 1.2.5
Summary: net/phpldapadmin: Update to 1.2.5
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Dima Panov
URL:
Keywords: needs-patch, needs-qa
Depends on:
Blocks:
 
Reported: 2020-04-22 07:39 UTC by peo
Modified: 2020-10-12 00:34 UTC (History)
2 users (show)

See Also:
ports: maintainer-feedback+
koobs: merge-quarterly?


Attachments
patch: update pla to 1.2.5 (13.12 KB, patch)
2020-04-26 22:33 UTC, Krzysztof
ports: maintainer-approval+
Details | Diff
poudriere testport log (30.47 KB, text/plain)
2020-04-26 22:34 UTC, Krzysztof
no flags Details
Update to 1.2.6.3 release (15.11 KB, patch)
2020-09-23 14:54 UTC, Dima Panov
no flags Details | Diff
patch: update pla to 1.2.6.2 (13.13 KB, patch)
2020-09-23 15:07 UTC, Krzysztof
no flags Details | Diff
log from build (29.32 KB, text/plain)
2020-09-23 15:13 UTC, Krzysztof
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description peo 2020-04-22 07:39:14 UTC
If someone can find the time to update.

I am running 1.2.5 now with php74 on 12-STABLE, there are a few good improvments compared to 1.2.3 currently in the ports tree.

https://github.com/leenooks/phpLDAPadmin

Thanks,

Per
Comment 1 Krzysztof 2020-04-22 19:57:11 UTC
As I understand I should create a patch for this update? :-)))

I will do in few days.
Comment 2 Krzysztof 2020-04-26 22:33:29 UTC
Created attachment 213830 [details]
patch: update pla to 1.2.5

I'm attaching patch which updates phpLDAPadmin to newest 1.2.5 version
Comment 3 Krzysztof 2020-04-26 22:34:29 UTC
Created attachment 213831 [details]
poudriere testport log

Also I'm attaching poudriere logfile
Comment 4 Krzysztof 2020-04-26 22:36:04 UTC
So I've made a port patch which updates pla to 1.2.5. Also I've attached podriere logfile.

I hope this update will be applied quickly.
Comment 5 Krzysztof 2020-05-20 13:39:50 UTC
Can someone commit this patch? I can see that it is "hanging" almost one month...
Comment 6 Dima Panov freebsd_committer 2020-09-23 14:54:21 UTC
Created attachment 218210 [details]
Update to 1.2.6.3 release
Comment 7 Dima Panov freebsd_committer 2020-09-23 14:56:00 UTC
(In reply to Krzysztof from comment #5)
1.2.6.2 is out today, please review and if you have no objections, I'll commit it
Comment 8 peo 2020-09-23 15:02:27 UTC
(In reply to Dima Panov from comment #7)
Good news, update please.
Thank you!
Comment 9 Krzysztof 2020-09-23 15:07:48 UTC
Created attachment 218211 [details]
patch: update pla to 1.2.6.2

Update to version 1.2.6.2
Comment 10 Krzysztof 2020-09-23 15:13:00 UTC
Created attachment 218212 [details]
log from build

log from poudriere
Comment 11 Dima Panov freebsd_committer 2020-09-23 15:15:22 UTC
(In reply to Krzysztof from comment #9)
Ouch, sorry, i've mistyped with description of my diff. 1.2.6.2 of course. 

Your version have missed pecl-mcrypt dependency
Comment 12 Dima Panov freebsd_committer 2020-09-23 15:20:37 UTC
:MCRYPT_USE=	PHP=mcrypt"  do all the thicks which you try to hookup with extra definition checks :)
Comment 13 Krzysztof 2020-09-23 15:25:00 UTC
(In reply to Dima Panov from comment #12)

That's OK. It seems you know better :-)))
Comment 14 commit-hook freebsd_committer 2020-09-23 16:13:49 UTC
A commit references this bug:

Author: fluffy
Date: Wed Sep 23 16:13:27 UTC 2020
New revision: 549746
URL: https://svnweb.freebsd.org/changeset/ports/549746

Log:
  net/phpldapadmin: update to 1.2.6.2 release

  Set option pecl-mpcrypt for password hashes
  Project moved to GitHub

  PR:		245815
  Approved by:	maintainer

Changes:
  head/net/phpldapadmin/Makefile
  head/net/phpldapadmin/distinfo
  head/net/phpldapadmin/files/extra-patch-lib__PageRender.php
  head/net/phpldapadmin/files/patch-config__config.php.example
  head/net/phpldapadmin/files/patch-lib__PageRender.php
  head/net/phpldapadmin/files/patch-lib__TemplateRender.php
  head/net/phpldapadmin/files/patch-lib__ds_ldap.php
  head/net/phpldapadmin/files/patch-lib__ds_ldap_pla.php
  head/net/phpldapadmin/files/patch-lib__functions.php
Comment 15 Dima Panov freebsd_committer 2020-10-12 00:34:26 UTC
Committed!